curl -X POST https://app.drime.cloud/api/v1/file-entries/restore \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entryIds": [123, 456]
}'
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/restore', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entryIds: [123, 456]
})
});
const data = await response.json();
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/file-entries/restore',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={'entryIds': [123, 456]}
)
print(response.json())
{
"status": "success"
}
Files & Folders
Restore Entries
Restore files from trash
POST
/
file-entries
/
restore
curl -X POST https://app.drime.cloud/api/v1/file-entries/restore \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entryIds": [123, 456]
}'
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/restore', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entryIds: [123, 456]
})
});
const data = await response.json();
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/file-entries/restore',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={'entryIds': [123, 456]}
)
print(response.json())
{
"status": "success"
}
Overview
Restores one or more file entries from trash back to their original location.Request Body
array
required
Array of entry IDs to restore
Response
string
Request status (
success)curl -X POST https://app.drime.cloud/api/v1/file-entries/restore \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entryIds": [123, 456]
}'
const response = await fetch('https://app.drime.cloud/api/v1/file-entries/restore', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entryIds: [123, 456]
})
});
const data = await response.json();
import requests
response = requests.post(
'https://app.drime.cloud/api/v1/file-entries/restore',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={'entryIds': [123, 456]}
)
print(response.json())
{
"status": "success"
}
To get a list of trashed files, use the
/drive/file-entries endpoint with deletedOnly=true.⌘I

